Expose pulpcore-{content,api} gunicorn worker timeouts in foreman-installer

03/21/2021 08:10 PM - William Clark

Status: Closed   

Priority: Normal   

Assignee: William Clark   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/335

  

Description

We set better defaults, matching upstream pulp, in https://projects.theforeman.org/issues/32112

However some users may need tuning other than the defaults in their environment, so exposing these params via the installer will

make that easier to manage

Associated revisions

Revision e291e2ba - 03/24/2021 03:56 PM - William Clark

Fixes #32149 - Expose pulpcore-{content,api} gunicorn worker timeouts (#335)

Fixes #32149 - Expose pulpcore-{content,api} gunicorn worker timeouts in puppet-FPC

Style fixup foreman_proxy_content_spec.rb

Require puppet-pulpcore >= 3.2.0

History

#1 - 03/21/2021 08:35 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/335 added

#2 - 03/24/2021 03:56 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#3 - 03/24/2021 04:01 PM - William Clark

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|e291e2ba6bac2af4fab5697078ad48b4262eea5c.
